import 'package:json_annotation/json_annotation.dart';
import 'package:transmedika_one_to_one_call/webrtc/registration_session.dart';
part 'call_param.g.dart';

/// model for call ///
@JsonSerializable()
class CallParam{
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'from')
  final RegistrationSession from;

  @JsonKey(name: 'to')
  final RegistrationSession to;

  @JsonKey(name: 'sdpOffer')
  final String? sdpOffer;

  CallParam({required this.id, required this.from, required this.to, required this.sdpOffer});

  factory CallParam.fromJson(Map<String, dynamic> json) => _$CallParamFromJson(json);

  Map<String, dynamic> toJson() => _$CallParamToJson(this);
}