import 'package:json_annotation/json_annotation.dart';
import 'package:transmedika_one_to_one_call/webrtc/registration_session.dart';

import 'consultation.dart';
part 'incoming_call_param.g.dart';

/// model for incoming call ///
@JsonSerializable()
class IncomingCallParam{
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'from')
  final RegistrationSession from;

  @JsonKey(name: 'callResponse')
  final String callResponse;

  @JsonKey(name: 'sdpOffer')
  final String? sdpOffer;

  @JsonKey(name: 'consultationPayload')
  final Consultation consultation;

  IncomingCallParam({required this.id, required this.from, required this.callResponse, required this.sdpOffer, required this.consultation});

  factory IncomingCallParam.fromJson(Map<String, dynamic> json) => _$IncomingCallParamFromJson(json);

  Map<String, dynamic> toJson() => _$IncomingCallParamToJson(this);
}