import 'package:json_annotation/json_annotation.dart';
part 'profile.g.dart';

/// class or model user (patient or doctor) ///
@JsonSerializable()
class Profile{
  @JsonKey(name: 'email')
  final String email;

  @JsonKey(name: 'full_name')
  final String fullName;

  @JsonKey(name: 'uuid')
  final String uuid;

  @JsonKey(name: 'profile_picture')
  final String? profilePicture;

  Profile({required this.email, required this.fullName, required this.uuid, required this.profilePicture});

  factory Profile.fromJson(Map<String, dynamic> json) => _$ProfileFromJson(json);

  Map<String, dynamic> toJson() => _$ProfileToJson(this);
}