import 'dart:io';

import 'package:transmedika_one_to_one_call/webrtc/socket_usecase_service.dart';
import 'package:transmedika_one_to_one_call/webrtc/websocket.dart';

/*import '../websocket/websocket.dart'
if (dart.library.js) '../websocket/websocket_web.dart';*/
/// Implement Use Case Web Socket ///
class SocketUseCase implements SocketUseCaseService{

  late SimpleWebSocket socket;

  /// Connect to Web Socket ///
  @override
  Future<void> connect({
    required String url,
    required Function()? onOpen,
    required Function(dynamic)? onMessage,
    required Function(int? code, String? reason)? onClose}) async {
    try{
      socket = SimpleWebSocket(url);
      socket.onOpen = () {
        onOpen?.call();
      };

      /// on receive message from web socket///
      socket.onMessage = (message) {
        onMessage?.call(message);
      };

      /// on web socket close ///
      socket.onClose = (int? code, String? reason) {
        onClose?.call(code, reason);
      };

      await socket.connect();
    }on SocketException catch(e){
      onClose?.call(e.osError?.errorCode, e.osError?.message);
    }
  }

  /// Get Socket Instance ///
  @override
  SimpleWebSocket getSocket() {
    return socket;
  }

  /// Close Web Socket ///
  @override
  Future<void> close() async {
    await socket.close();
  }

}